org.eclipse.wst.jsdt.core

## Class CompletionFlags

- java.lang.Object
- - org.eclipse.wst.jsdt.core.CompletionFlags

    public final class CompletionFlags
    extends java.lang.Object

Utility class for decoding additional flags in completion proposal.

This class provides static methods only; it is not intended to be instantiated or subclassed by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

Fields
`static int` `Default` Constant representing the absence of any flag

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Default

    public static final int Default

Constant representing the absence of any flag

See Also:
  Constant Field Values